AfraLisp Blog

The AutoLisp/Visual Lisp/VBA Resource Website

AfraLisp Blog

Home Newsletter Utter Rubbish Coding Tips AutoCAD Tips Contact Downloads WAUN

 
AutoCAD Tips

Back AutoCAD 2004 Tips

AutoCAD R14, 2000, 2000i and 2002 Tips

1. How to avoid docking of toolbars for easier placement
 AutoCAD allows for generous movement and selection of toolbars for ease in accessing the many commands. The placement of toolbars about the drawing enables quick access to the most frequently used commands. To view the different toolbar options go into the View menu and choose Toolbars....
In order to move toolbars around on the screen there is a click and drag feature that allows you to click on the toolbar border and drag it to a new position. If you do not wish to have the border docked along the outer edges of the drawing, depress the CTRL key when you click on the toolbar.
This feature keeps the toolbar accessible, but able to be moved partially off the screen hidden until it is needed. If the CTRL key is not depressed when the toolbar is moved, the toolbar will be docked along the side of the drawing.


2. How to determine the length of an arc
There are two quick ways to determine the length of an arc. The first is to select the arc on the screen and then go into the Modify menu and then click on Properties. This will bring you to the Properties window for the Arc. In this window, there is a parameter for Arc length.
The second method for determining arc length is to type PEDIT at the command line and then select the arc. Next, choose to turn the arc into a polyline by typing Y or if <Y> is the default hit [Enter]. You will be presented with options for polylines. Simply type X, if it's not the default to exit this option. Next, type AREA at the command line and hit [Enter]. Then type O for Object as the option and select the arc. The area and length of the arc will be shown.


3. VIEWRES - Regeneration or Redraw
One feature within AutoCAD Release 14 is the VIEWRES command. This command when typed at the main prompt gives you the choice of selecting fast zooms by typing Y for yes or N for no. If you answer no to this option, AutoCAD will perform regenerations for all of the following: zoom, pan, and view restore. If you answer yes to fast zooms, AutoCAD will perform zoom, pan and view restore commands at redraw speed. The next choice you will be presented with is Enter Circle Zoom Percent (1-20,000). The default will be in parenthesis. This option controls the appearance of circles and arcs using short vectors. The larger the number vectors, the smoother the appearance of the circle or arc on the screen. However, it is important to remember the larger the number vectors, the longer it will take for regeneration on the screen. This feature allows you to trade smoothness of appearance for speed.


4. Using COPYHIST to keep track of previous executed commands
AutoCAD allows you to copy the command line history window to the clipboard by using the COPYHIST command. The command line history is the window just above the command line. This way you can keep track of previous commands already executed in case you want to repeat what you did, or not repeat what you did, or just see what you did. After typing COPYHIST and hitting [Enter], simply go to another windows application and paste in the information.


5. Using drawing configurations as a template
First, create a file configuration by setting up your units, dimension variables, and any other set up configurations. Then, choose the Save As feature from the File menu to save your drawing configurations as a template. Templates are stored in the AutoCAD template folder. If you do not want your template removed if you uninstall AutoCAD, then place that file in another location. Now, when you open a new drawing and see the Set up Wizard, choose Use a Template and open the template file you created.


6. Moving block attributes for a better fit
Rather than redefining a block so its attributes fit into a given area, try moving the attributes using grips. Select the block with the attribute you'd like to move, then click the appropriate attribute's grip to make it red, or hot. The attribute can now be moved anywhere in the drawing without globally redefining that particular block. The attribute is also still associated with its original block, and its value can be changed using conventional methods.


7. Using the Shift key to deselect objects of a selection set
Once you have picked a group of entities, no matter what command you're in, there's an easy way to toggle between Remove and Add during selection.
If you accidentally include some items in a selection set while you were in the Add mode, simply hold down the Shift key and select those items that you accidentally included. This operation will Remove those accidentally selected items from the set. Letting go of the Shift key will put you back in the Add mode.


8. Overloaded toolbars - we've got the cure ...
Sometimes when you load and attach too many toolbars at the bottom of your screen, you can run into the problem of not being able to access all the toolbars. No amount of turning them off and on will make them reappear. Don't worry, they're not gone, they're just hiding. To fix this problem, undock the command line area. This is done the same way you'd undock a toolbar; simply click on the command line box border and drag it to another portion of your screen. The toolbars previously tucked under the command line will come back.


9. CANCEL - as a custom icon
The CANCEL command can be written into an icon to be accessed anytime with the click of your mouse. This tip may be a play on the use of the [Esc] key, however it does work even if the grips are activated. We'll put the new icon on the toolbar entitled Toolbar 1.
To access the Toolbar 1, right -click on any toolbar border and the Toolbars dialog box will appear. Highlight the Toolbar 1 and click on the Customize... Button. You will see the Customize Toolbars dialog box. Scroll down through the categories and highlight the Custom option. Click on and drag the blank button to Toolbar 1. The blank button will dock on the toolbar. Close the Customize Toolbars and the Toolbars dialog boxes. Next double right-click on the blank button you placed on Toolbar 1. You will see the Button Properties dialog box. Name the button Cancel and in the Macro section type the following: ^C^C^C^C
You can edit the look of the button by clicking the Edit button under the Button Icon section of the dialog box. Once you've edited the button icon's look, click Apply and close the Button Properties window. You are now ready to use your new icon. Start a command and select a few objects, click your new button and the command should CANCEL.


10. Using AutoLISP at the command line
You can use AutoLISP at the command line to perform multiple functions for you. All AutoLISP functions typed at the command line must be preceded by parenthesis, this way when you type in the first part of the AutoLISP and hit a space, AutoCAD won't invoke the first thing you typed.
For instance, instead of using the GROUP command to remember a selection set of objects, you can use AutoLISP. Type (setq h (ssget)) [Enter] The letter h in the line above is the letter associated with the selection set. Now you'll see the Select Objects: prompt at the command line. Select the objects you'd like to remember and press [Enter]. Now, whenever you see the Select Objects prompt, you can type !h after the prompt and press[Enter]. This will select the set you created.
You can also use AutoLISP to remember points for you by assigning them variable names. For instance, type (setq p (getpoint)) [Enter]
Now pick a point on your screen that you want to remember. If you want to refer back to that point later on, simply type !p at the command line and press [Enter]. The point coordinates will be displayed at the command line. If you want to start an object, line, or circle from that point, simply start the command and then when you're prompted for the first point or center, type !p and AutoCAD will start your object, line, or circle from the remembered point.


11. Creating a JUNK profile for testing
If you like to surf the net for AutoLISP, or even try your hand at writing routines, you may find creating a profile by the name JUNK to be useful. You can also amend the file paths to include a junk directory. When you want to try a less-than-proven LISP routine and you don't know if it will mess up your desktop settings, switch to your JUNK profile before you try it. That way if things don't go as you had planned, you can switch back to your normal profile with all your favorite settings.


12. Tip for clean copyclip
If you want to cut/copy and paste drawings from AutoCAD to other programs (MS Word, for example), you'll need to turn your AutoCAD background screen to white before this operation. When your screen background is black, the result after the paste operation will be your drawing with a black background within a white document. To change your background screen color, select the Tools | Preferences | Display tab and then Colors. Choose white for a background color in the AutoCAD Window Colors dialog box and click OK. Finally click OK to exit the Preferences dialog box.


13. Stacking dual dimension text
If you want to have dual dimensioning in your drawing it's easy. First, select the Dimension | Styles from the menu bar to bring up the Dimension Styles dialog box. Now, click Annotation to access the Primary and Alternate Units options. Normally, when you enable the Alternate Units option, you'll notice that the dimension text format takes up quite a bit of space, often making it difficult to get the text to fit between the extension lines. You can easily format the dual dimension so that the English dimensions are stacked over the metric dimensions as follows:
1.000
[25.4]
To do this, first enable the Alternate Units for metric units. In the Primary Units section of the Annotation dialog box enter the following text in the Suffix textbox.
\P
Make sure that you use a capital P, otherwise your text will look like the following:
1.0000\p[25.4]
This tip helps you fit text between the dimension lines more easily.


14. How to make hidden lines look the same in model and paper space
If you've ever used a dashed line in model space only to have it appear as a continuous line when displayed in paper space, you can remedy this situation by using the PSLTSCALE variable.
When the PSLTSCALE variable is set to 0, there's no special linetype scaling. The length of the dashes in dashed lines is based on the drawing units of the space the objects were created in (space = model or paper). This is controlled by the global LTSCALE factor.
If the PSLTSCALE variable is set to 1, the viewport in which you're viewing the line controls the line scaling. If you're in paper space, the dash lengths are based on paper space drawing units. Viewports can have different magnifications, but the linetypes will display identically. You can still however, control the dash lengths with LTSCALE.
To remedy the dashed line appearance in paper space, toggle back and forth between PSLTSCALE equal to 0 or 1. This will display your paper space linetypes exactly like your model space linetypes, without changing your drawing's overall LTSCALE.


15. Quick tip. Access to snaps
If you hold down the [Shift] or [Ctrl] key and right-click on your drawing area, you'll see a menu with all the snap functions at the end of your cursor.


16. Distance entry without using @ symbol
Direct distance entry is a way to draw lines using the relative coordinate entry, without having to use the @ symbol, and with only one coordinate value required. For instance, select the line command and pick an arbitrary point on your screen as a starting point. Now, move the cursor in the direction you want to draw the line. If you want more precision, turn the ORTHO option on. Once you've selected a direction for the line to travel, type a distance value at the command line and press [Enter]. The line will be drawn in the direction of the cursor at the distance you specified.


17. Using the Cookie Cutter Trim bonus tool R14
When you need to trim many lines which cross the outline of an object, instead of individually trimming each line, you can use the Cookie Cutter Trim bonus tool.
Select Bonus | Modify | Cookie Cutter Trim option from the Bonus menu. You'll be prompted to select a polyline, line, circle, or arc for a cutting edge. Select one of these options on your screen. Next, you'll be prompted to pick a side of that object to trim on. All of the lines on that side of the object are trimmed automatically.


18. Setting up hot keys, the smart way
When you're setting up hot keys, try to set them up so that most of your keystrokes are on the left side of the keyboard. That way you don't have to move your hand from your mouse in order to use your shortcuts. Try the following:
Instead of "ci" for circle, use "cc"
Instead of "cp" for copy, use "c"
Instead of "ddm" for ddmodify, use "ddd"


19. Removing objects from a selection set
If you're selecting multiple objects for a selection set within your AutoCAD drawing session and find that you've accidentally selected more objects than you wanted to, you can remove the items from the selection set by pressing the [Shift] key while selecting the objects with your mouse. This will eliminate the object from your selection set. To add another object, simply release the [Shift] key and continue clicking to add to the set.


20. Selecting a hatch pattern within a drawing
If you try to pick a hatch pattern from within a drawing and find that everything around it is also selected, you'll have better luck if you change the PICKSTYLE variable. Usually PICKSTYLE is set to (3). The different settings are:
0 - No group selection or associative hatch selection
1 - Group selection
2 - Associative hatch selection
3 - Group selection and associative hatch selection
If you set PICKSTYLE to (1), instead of (3), you'll notice that you're able to select the hatch pattern independently of the other objects within your drawing.
A good way to view this is to draw three circles in progressive sizes. Each of the circles should be drawn with the same center; that way the circles are all on top of each other. Now, hatch the circles. Set PICKSTYLE to (3). Next, select Modify | Properties from the menu bar and
select the hatch pattern to modify. When you see the Modify Hatch dialog box, change the color of the hatch to red. When you return to your drawing, you'll notice that the hatch pattern, and all three of your
circles, are red. This isn't the desired effect, so type u for undo and press [Enter] to return your drawing to its original state. Then change PICKSTYLE to (1). Again select Modify | Properties from the menu bar and select the hatch pattern again. Now change the color to red. This time, when you return to your drawing, you'll notice that you did achieve the desired effect. The hatch pattern is red, however, the outer circles remained their original color.


21. Take a quick purge
In order to use the PURGE command in AutoCAD, you can either select File | Drawing Utilities | Purge from the menu bar or type purge at the command line. Now, you still need to tell AutoCAD what to purge after the prompt
Names to purge <*>:
Most users choose to purge all, so they typically press [Enter] after this prompt. There's still one more choice to make. You need to respond yes or no to the following prompt:
Verify each name to be purged? <Y>: n
All of these steps can be eliminated by creating a macro to perform the functions for you. Create a button for one of your toolbars that has the following macro:
_purge a * n
Now, if you want to purge everything in one click, and without acknowledging AutoCAD, you can just click this button.


22. Intellimouse feature
If you have an IntelliMouse (one with a scrolling wheel) push on the "wheel" and the Osnaps dialog box appears. This is faster than pressing [Shift] while clicking.


23. Editing objects with their grips
To stretch the endpoint of a line to the endpoint of another without using the stretch command, use the grips. Draw a window around both lines to activate their grips. Then, click on the grip for the line you'd like to stretch in order to make it turn red. Now, click on the red grip and move it towards the grip on the end of the other line. The stretched grip automatically magnetizes to the end of the other line at its grip.


24. Hate to type? - DTEXT made easier
When using the DTEXT command for typing text, you can correct errors you make by using the left arrow key. If you backspace, you erase all of the good typing you've done so far. Use the left arrow and your good text will be preserved.


25. Is your programmed icon button missing when you boot AutoCAD?
Have you ever programmed an icon button, only to find that the next time you boot AutoCAD, the button has disappeared? Make sure that the Name text box in the Button Properties dialog box doesn't have any quotation marks. This creates a syntax error in the loading of the menu.


26. Automating Print to Extents
If you always print to extents on your default printer, try setting up the following macro in a toolbar button. Then, whenever you need to print, click this button and your drawing will print to extents on the default printer.
^C^C_cmddia 0 _plot _E _N _cmddia 1


27. Ending ZOOM and PAN commands easier
When you're using the PAN command, the normal way of ending it is to right-click, and then choose Exit option from the menu. This procedure must be followed when you go into any of the zoom realtime modes, such as zoom-window, zoom-previous, etc. from PAN pop-up window and when you're using full view print preview.
The easier one-step method, however, is to hit the [Esc] key. The ZOOM command will end without undoing the zoom result. Also, if you right-click before you issue any other command, the ZOOM command is resumed.


28. Using Windows Explorer to open a block
If you've ever used Windows Explorer and the file and folder search function to look for a block you once made, and then gone back into AutoCAD to open it, you've missed an opportunity. You can simply highlight, drag, and drop that block file from the Windows Explorer to your open drawing session for the block to load into your drawing. This method also works for JPG, TIF and DXF files.


29. Use the TEXTFIT bonus tool to make text fit between two points
If you want to make text fit between two points on your screen use the TEXTFIT bonus tool. When you type TEXTFIT at the command line, you'll be asked to select the text you want to stretch or shrink. Once you select the text, the stretch/shrink line is started at the bottom-left corner of the text (the text's justification point). Move this line to the point where you want the text to end, either longer or shorter than it is now. When you pick a second point, the text will adjust.
If you want to choose a new first point for the text instead of using the text's justification point, after invoking TEXTFIT type s instead of picking a new ending point. This will let you start the text at a new point on your screen; you'll then need to select a new ending point. The text will adjust to fit between the two points.


30. Globally changing attribute values
Part numbers never change, right? Wrong! If you've inserted a block several times into your drawing, and now you need to update some attribute information, you can do that globally using the GATTE bonus tool in R14. Type GATTE at the command line, now you're asked to choose a block or attribute. Choose the attribute you want to modify. You'll see the Block name and Attribute Tag name in the command line such as this:
Block: DOOR Attribute Tag: Part#
and then a prompt for
New Text:
Enter the new part number after this text and press [Enter]. Then, you'll see the following in the command line:
Number of inserts in drawing = (number of times you inserted the block)
Process all of them? <Yes>/No:
You can choose to change all of the tags at one time by selecting yes, oryou can change only those you want by selecting no. If you reply yes, all of the blocks will be updated. If you reply no, you'll be asked to select objects to change. Only those you select will be updated.


31. Faster loading of AutoCAD: no logo screen
If you want faster loading of AutoCAD, you can use a command-line switch to eliminate viewing of the AutoCAD logo screen that appears when you start AutoCAD. Simply add the switch /nologo to the command line in the Target text box of the AutoCAD Properties dialog box. To find this box, click once on the AutoCAD icon to highlight it. Then right-click and select Properties from the menu. You'll see the AutoCAD Properties dialog box. Within the Target text box, type the switch similar to this:
"C:\Program Files\AutoCAD R14\acad.exe" /nologo
Click OK to exit the AutoCAD Properties dialog box. Now when you start AutoCAD, you won't have to wait for the logo screen to display.


32. Quick calculations at the command line
If you ever need to find a calculation quickly and easily, use the command line to perform the function for you. You don't need to use the Windows calculator. You can add, subtract, divide, and multiply using the following symbols:
+ Add
- Subtract
* Multiply
/ Divide
You need to use the following format for calculations:
(function<space>first number<space>second number).
For example, 2 + 2 would be written (+ 2 2). All calculations must be enclosed in parentheses. Following the rules of mathematics, anything enclosed in parenthesis is calculated first. The following examples exhibit the use of these formats:
At the command line Answer
(+ 2 (* 2 4)) 10
(/ 10 2) 5
(* (+ 2 2) (/ 4 2)) 8
You can perform any number of calculations this way.


33. Quickly turning on all layers in a drawing
Occasionally there's the need to thaw and turn on all layers in your drawing when searching for something in particular. This can be invoked quickly by the toolbar/pulldown menu macro or keyboard from AutoLISP.
The toolbar/pulldown menu macro would look like this:
^C^C(command "_.layer" "_Thaw" "*" "_On" "*" "")
AutoLISP for this same function would look like this:
(defun C:LAA ( ); LAYER ALL (ON & THAWED)
(command "_.LAYER" "_Thaw" "*" "_On" "*" "")(PRINC))


34. Want a list of layers within a current drawing?
If you want a list of layers within a drawing, you can type -la at the command line and respond ? after the resulting prompt:
?/Make/Set/New/ON/OFF/Color/Ltype/Freeze/Thaw/Lock/Unlock:
You'll then see the prompt:
Layer name(s) to list <*>:
Press [Enter] in response to this prompt to accept the default *. There it is -- your list of layers within the AutoCAD Text Window. You can now copy that list and paste it into a word editor to adjust it as you wish.


35. Finding the fraction equivalent of a decimal value
If you're drawing using architectural units and you have a decimal value and you're not sure what the fractional equivalent would be, there's an easy way to find out. You can use the DIST command to help you figure it out. First, type DIST at the command line. Then, when prompted for the first point on your screen, instead of selecting a point on the screen, type the decimal value after the prompt:
First point: 478.375 [Enter]
Your answer will then appear in the command line:
Distance = 39' - 10 3/8"


36. Snapping to an angle
Have you ever needed to snap to an angle? Try this for a quick snap. At the command prompt, type in SNAP then R (for rotate); press [Enter] for base point (keep at 0,0) and then type PER (for perpendicular) and hit the line for the angle you desire.
Command: SNAP
Snap spacing or ON/OFF/Aspect/Rotate/Style <0.5000>: R
Base point <0.0000,0.0000>: (press [Enter] to accept default)
Rotation angle <0>: PER To
Remember your snap mode is now active so you may want to turn it off.


37. Just how many blocks do I have in that drawing
Ever wonder if there's a quick way to find the number of blocks within your drawing? There is you know. Use the Count Bonus command. Type count at the command line and press [Enter]. When you do you'll see the following information:
C:COUNT loaded. Start command with COUNT.
Press <CR> to select entire drawing or,
Select Objects:
You can either draw a crossing window to find out how many blocks are contained within that window, or you can now press [Enter] at the command line to find out how many blocks are contained within the total drawing. This utility also shows you how many times the particular block was inserted into the drawing.


38. Quickly finding similar objects within your drawing
Rather than using filters and going through the hassle of setting up a filter, you can use the SSX utility to help you quickly locate objects of a similar type. For instance, if you copied an object a number of times into your drawing and you'd now like to select all those objects to manipulate them, you can use the SSX utility to help you select them all. You can use the SSX utility anytime you see the Select Objects: prompt.
First, start by selecting a command to use, for example MOVE. Once the command is invoked, you'll see a prompt asking you to Select Objects. Instead of selecting an object on the screen, type (ssx) in response and press [Enter]. You'll then see this prompt
Select object/ <None>:
Select one of the objects you copied in your drawing. You'll now see information about that object in the command line similar to this
Filter: ((0 . "CIRCLE") (8 . "0") (210 0.0 0.0 1.0))
>>Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector:
Press [Enter] in reply to the last prompt and you'll notice that all of the similar objects to the object you selected in your drawing are now part of the selection set. You are then presented with the Select Objects: prompt again, in case you want to continue to add to the selection set. Press [Enter] in response to this prompt. Now your command will continue where it left off. If you're using the MOVE command, as we did in this example, you'll see a prompt asking for the Base point or displacement. As you can see, this is a handy tool for creating selection sets.


39. Listing attributes for a block
Suppose you're working along in a drawing and you'd like to know the attributes associated with a certain block within your drawing -- no problem. Simply use the ATTLST utility. This utility lists all the attributes for a block insertion. Only one block can be selected at a time for use with this utility. Type ATTLST at the command line and you'll then see a prompt for
Select object:
Choose the block insert you want attribute information for. When you do, AutoCAD immediately returns the information in the command line. For a better view of the information, press [F2] to open the AutoCAD Text Window and the block attribute information will be listed in the window. The information available is: coordinate data for the attributes, attribute tags and values.


40. Exploding a block upon insertion
If you've ever wanted to have immediate access to a block's individual parts after it's inserted, then we have the answer for you. After you invoke the INSERT command, you'll see the following prompt:
Block name (or ?):
Before you enter the name of the block to insert, put an asterisk * before the name of the block. This will tell AutoCAD to explode the block upon insertion. When you select a point on the screen for insertion and answer the subsequent prompts for x and y scale factors, and rotation angle, your block will be placed into your drawing already exploded. You can now select individual portions of the inserted block.


41. Changing text color
Try this procedure if you want any word or part of your text to stand out. With the mouse, select the text you wish to modify, then type MTEXT at the command line to open the text editor. Highlight the word or words you wish to change. Now select a layer color from the layer drop-down menu. The highlighted text is now colored. Use this method to add multiple colors to your text for those critical callouts that must be noticed.


42. Moving block attributes for a better fit
Rather than redefining a block so its attributes fit into a given area, try moving the attributes using grips. Select the block with the attribute you'd like to move, then click the appropriate attribute's grip to make it red, or hot. The attribute can now be moved anywhere in the drawing without globally redefining that particular block. The attribute is also still associated with its original block, and its value can be changed using conventional methods.


43. Manipulating files from within AutoCAD
Did you know that you can move, delete, copy, and rename files that are in any of the AutoCAD directories from within AutoCAD? To try this, click File | Open to open the Select File Dialogue Box. Now highlight one of the files or folders, then right click to open the menu that allows you to manipulate the files.
You can also move folders inside of other folders to create a tree structure for drawing files. If you set up a drawing file folder using Windows Explorer in your AutoCAD directory, you can even manage your drawing files this way. Don't forget to set up the AutoCAD preference area to point to your drawing file folder. Just be careful what you modify, because you could really mess up your support files.


44. Change the case of selected text in AutoCAD 2000
Create a string of text by typing mtext at the command line, specify the first and opposite corners, then type the desired text in the MTEXT dialog box. You can also open the MTEXT dialog box to edit existing text by typing ddedit at the command line, then selecting the text you wish to edit. In the MTEXT dialog box, highlight the text you want to change case. Then, right click the text. Select Change Case, then select lowercase or UPPERCASE.


45. Gain administration privileges to change your AutoCAD shortcut
Have you ever wanted to change something on your desktop's AutoCAD shortcut, such as target or start in, but you lack administrative privileges? Here's a way quick way around the problem. Make a copy of the shortcut by right-clicking the AutoCAD shortcut icon, then select copy. Now right-click in an open area on your desktop and select paste. You now have administration privileges for the new shortcut.


46. Panning with ortho on in AutoCAD R14
Here's a tip that let's you pan when ortho is selected. At the command line, type -PAN. You'll see the familiar "crosshair" panning, rather than the "hand" panning.


47. Panning with ortho on in AutoCAD 2000
It's possible to pan with ortho on in AutoCAD 2000. Simply hold down the [Shift] key, then pan as you normally would.


48. Trimming around text in AutoCAD R14
Did you know that you can trim around text? If you're trying to squeeze some text into an area, you'll find that you can select the text as a cutting edge and trim the lines around the text. This can be a great timesaving measure.


49. Define command aliases for menus in AutoCAD R14
When making menus to turn all layers on/off, lock/unlock, or thaw/freeze, it can be helpful to define command aliases for them.
Try these aliases:
oo for all on
pp for off
ff for freeze
tt for thaw all
ll for lock
uu for unlock all
You can define the command aliases by either using the Bonus command alias editor or directly modifying the acad.pgp file in the support directory. This tip can also be used to create keyboard shortcuts to help keep your screen area free from toolbars.


50. Quickly determining a drawing's path in AutoCAD R14
Occasionally, there's the need to know where your current drawing's path is, or where it came from. The path can be found by typing dwgprefix at the command prompt. You can create a menu button macro to run the dwgprefix command.


51. Quickly determining what menu you're using in AutoCAD R14
Occasionally, there's the need to know the name of your current menu. This can be found by typing menuname at the command prompt. You can create a menu button macro to run the menuname command.


52. Converting inches to fractions in AutoCAD
When you're working with site plans and architectural drawings, you often need to convert inches to decimal units. This can be time consuming. Instead of using your calculator to convert inches to decimals, try converting into fractions. For example, 1/12 would equal one inch, 1/24 would equal a half-inch, and so on. This process can save you a lot of time and even increase the accuracy of your drawings, as this procedure is accurate to the eighth decimal place.


53. Add a Type, Reference, or diameter symbol to existing dimensions
If you have to add this to several dimensions, with different styles, try this procedure. At the command line enter Dimedit, then New. When the dialog box appears, make the edit you want and select OK. When prompted for which dimension(s) to select, pick all the dimensions required. The default dimension text will be updated, without changing the dimension style.


54. Copy from a Microsoft Excel workbook to an AutoCAD R14 drawing
Here's a handy tip to copy information from a Microsoft Excel spreadsheet into an AutoCAD drawing. Open the AutoCAD drawing where you want to place the Excel information, then open Excel. Next, open the workbook you'll copy from. Press [Ctrl][Shift][Home] to highlight everything in the Excel sheet. Now, press [Ctrl]C to copy the Excel sheet to the Clipboard. Then, minimize Excel and maximize your AutoCAD drawing. From the Edit menu, choose Paste Special. In the Paste Special dialog box, select AutoCAD Entities and then click OK. You can now choose the area of your drawing where you want to paste the Excel sheet. Once you paste the sheet, you can use all of AutoCAD's functions, such as Explode, Scale, etc.


55. Drag and drop files from Windows Explorer into AutoCAD R14
If you're working on an AutoLISP routine or a menu and you want to load it into AutoCAD R14, there's a quick way to do it. You can drag and drop the file into AutoCAD from Windows Explorer. When you're writing a menu, try keeping a copy of Explorer open to the directory where you store your menus. After editing the menu with Notepad, save it, then maximize Explorer and drag the menu into the AutoCAD window. Just like that, the menu is ready to test.


56. Converting a 3D drawing into 2D in AutoCAD R14
Here's a simple way to create a 2D version of a 3D drawing using two commands: WMFOUT and WMFIN. Select the view you want to save, type HIDE, and then type WMFOUT to create a metafile. Name the file you wish to create and click OK. You can now recover this file. Start a new drawing, type WMFIN, and then select the file you just created. When you choose an insertion point, AutoCAD inserts your block. The colors of the objects are maintained, but not the layers. You now have a 2D version of your 3D file, which you can explode, pan, and rescale.


57. Justifying text in AutoCAD 2000
Justifying text created with the Text or Dtext commands in AutoCAD 2000 is much easier than in previous versions. First, click on the text to select it. Then, right-click and select Properties. In the Properties text box, click Justify. Now, from the dropdown menu, you can choose a new justification for the text.


58. Editing Blocks without exploding them in AutoCAD R14
Have you ever asked the question, "What if I make a block with attributes and I don't want to explode it and redefine it to make edits?" Or have you ever wondered, "What if I want to change the font of one attribute in all of the blocks that contain it within the drawing?" Try using the ATTREDEF command. This command allows you to edit a block without exploding it. It also redefines the attributes of all blocks with the same name.


59. Select the same object set for your next operation in AutoCAD R14
Do you often find yourself modifying a set of objects within a drawing? Each time you start a modify command, AutoCAD prompts you for the objects you wish to modify. In a complex drawing, it can be time consuming to select the same objects each time you want to modify them. However, there's an easy shortcut that lets you select the same set of objects every time.
Once you've selected the objects you want and performed your first operation, press [Enter]. Then, begin the next command you want to perform on this object set. When AutoCAD prompts you to select objects, type p and press [Enter]. The same objects you selected for your first operation are again selected.


60. Copying objects equal distances apart along a straight line in AutoCAD R14
Have you ever wanted to copy an object repeatedly at equal distances from the original object? If you're copying along a straight line (vertically or horizontally), there's an easy way to do it. Before you begin copying your object, turn Ortho on. Next, select the object you wish to copy. Click on one of the object grips to make the grip hot, which begins the Stretch command. Press [spacebar] to change the command to Move, then type c (for copy) and press [Enter].
Now you must select the point where you want your first copy. You can click on this point on the screen or type it at the command line. Now, simply press [Shift] and move the cursor. You'll see that when you select a point next to the copy, the new object copy is placed the same distance from the original copy that the original copy is from the original object. You can repeat this process to place as many object copies as you want at equal distances along a straight line.


61. Restore erased objects in AutoCAD
AutoCAD users who aren't familiar with earlier releases might not know that Autodesk often leaves commands from older versions in its newest releases. With the advancements in GUI technology, users of the newer versions often have buttons and menu items that perform the same tasks as the older commands. However, some of these commands can come in handy. The Oops command is one that can be very useful, and it's been around for many AutoCAD versions.
If you erase something in your drawing and realize that you've done so in error, you can click the Undo button to restore the erased objects. However, what if you erase an object, then perform a number of other operations before deciding you want to restore the erased object? Clicking the Undo button requires you to undo every operation you performed after the erase in sequence. That's why Autodesk left the Oops command in the new versions of AutoCAD. Type oops at the command line and press [Enter]. AutoCAD restores the last erased object, without affecting the work you've done after the erase.


62. Function keys in AutoCAD 14
With the latest GUI technology available, many users find
themselves exclusively using the mouse to navigate through
AutoCAD. However, there are still a number of keyboard shortcuts
that can make your work just a bit easier and faster. Listed below
are some of the operations you can perform using function keys.
Key Operation
[F2] Opens the AutoCAD text window
[F3] Opens the Osnap Settings dialog box
[F6] Toggles Coordinates on and off
[F7] Toggles Grid on and off
[F8] Toggles Ortho on and off
[F9] Toggles Snap on and off



63. Overlapping paperspace viewports in AutoCAD 2000
It's possible in AutoCAD 2000 to have a paperspace viewport partially overlapping another one. To do so, set the first paperspace viewport to a 3D wireframe image shading mode by selecting View\Shade\3D Wireframe. This way, all entities in this viewport, including the boundaries, will be masked. This is great for extracting and showing a detail from a general plan or drawing.


64. Switching between open drawings in AutoCAD 2000
One of the nicest features that has been added to AutoCAD 2000 is the ability to have multiple drawings open at one time. You can switch between open drawings using the Window pulldown menu, just like you would in Microsoft Word. However, there's a simple keyboard shortcut that lets you choose a drawing by scroll through the open drawing windows. Hold down the [Ctrl] key, then press [Tab] to scroll through the open drawings and find the one you wish to work on.


65. Leave your text upright in a rotated block in AutoCAD (R13, R14)
If you have a block in your drawing that needs to be rotated but contains text, don't worry. You can rotate the block, then use the ATTEDIT command to return the text to it's original angle. The first thing to do is start the ROTATE command, follow the command prompts, and rotate the block. When the block is in its new rotation, start the ATTEDIT command and follow the prompts. When asked, pick the text attributes, then select Angle from the list of alternatives. You can now enter the correct angle to rotate your text back to an upright position (or any other angle, for that matter).


66. Drag and Drop with more options in AutoCAD 2000
A nice improvement in AutoCAD 2000 is the ability to drag and drop items on the screen with the mouse. To perform a basic drag and drop, simply select an object with the left mouse button (with no commands running), then click and hold the left mouse button on the selected object. Now you can drag the object around the drawing window. When you release the left mouse button, the object is placed there. However, there's an easier way to obtain additional options when performing a drag and drop move. After you've selected your object, click and hold the right mouse button, then drag the object to a new location. When you release the button, a menu displays. From this menu, you can move the object to the new location, copy it to the new location, paste it as a block in the new location, or cancel the move. This provides you with an easy way to manipulate AutoCAD 2000 objects with just the mouse.


67. Changing xref types in AutoCAD R14
If you've ever inserted an xref into a drawing as an Overlay (either on purpose or by accident) but you later decide that it needs to be an attachment, there's an easy way to change the xref type. Right-click on the xref to open the External Reference dialog box. Now, simply double-click on the word Overlay in the Type column. The file type will toggle from Overlay to Attach. If you want to switch back to Overlay, simply double-click the type column again. Its as simple as that.


68. Stacking dual dimension text in AutoCAD
If you want to have dual dimensioning in your drawing, it's easy. First, select the Dimension/Style to open the Dimension Styles dialog box. Now, click Annotation to access the Primary and Alternate Units options. Normally, when you enable the Alternate Units option, you'll notice that the dimension text format takes up quite a bit of space, often making it difficult to get the text to fit between the extension lines. You can easily format the dual dimension so that the English dimensions are stacked over the metric dimensions as follows:
1.000 [25.4]
To do this, first enable the Alternate Units for metric units. In the Primary Units section of the Annotation dialog box, enter the following text in the Suffix text box:
\P
Make sure that you use a capital P; otherwise, your text will look like the following:
1.0000p[25.4]
This tip helps you fit text between the dimension lines more easily.


69. Enable different layer visibility of a Xref in AutoCAD
To changing colors and linetypes of the layers of child Xrefs within separate viewports, try this procedure. AutoCAD treats Xrefs like blocks. That is, they can be renamed, copied, rotated, mirrored, etc. Once the Xref is attached to its specific layer (and NOT 0), you can type the command rename. Now, select "Block" at the next command prompt. You'll be prompted for the block name to change and then asked for the new block name. Once you've changed the Xref's name, attach the same Xref again, being sure to attach it to its specific layer. You now have the same Xref attached to the parent file twice, but with two separate names. When you open the Layer dialog box, you'll now have two separate prefixes of the same layers for the child Xrefs. This allows the manipulation of the color and linetype of the individual layers.


70. Plotting utilities for AutoCAD 2000
Plotting in AutoCAD 2000 has changed dramatically. Two utilities are available that can make plotting a little easier. The first is acpltstamp.arx, which adds a plot stamp utility to place time, date, path, user comments, etc. on the plotted drawing. Another helpful download is aclyutil.arx. This utility allows the user to save a set of plot settings using pageout, then restore the settings in another drawing using a script file called pagein. This makes for a quick way to import plotter settings for various printers. These utilities are easy to download and install. The aclyutil.arx utility can be obtained from
<http://www.autodesk.com/support/filelib/acad2000/aclyutil.htm>
The acpltstamp.arx utility can be obtained from
<http://www.autodesk.com/support/autocad/util2000.htm>


71. Insert an AutoCAD drawing into a Word document
Rather than converting your AutoCAD drawings into BMP files to insert in a Word document, wouldn't you like to simply insert the AutoCAD drawing itself? Well it's easier than you might think. Follow these steps:
1. Verify that AutoCAD isn't running.
2. Open the Word document where you want to insert the AutoCAD drawing.
3. Select Insert/Object.
4. From the Object dialog box, select AutoCAD Drawing and click OK. The AutoCAD window will open.
5. In AutoCAD, change the display background to the white if necessary.
6. Because you can't open a drawing, you must select Insert/Block, then choose the file you want.
7. Once you've found the AutoCAD drawing that you want to insert inside the Word document, select File/Update Microsoft Word. The AutoCAD drawing you selected now appears on your Word document.
8. Close AutoCAD.



72. Setting your cursor size in AutoCAD
Sometimes, when you're drawing fine details on a complex drawing, the cursor you're drawing with becomes a nuisance. It's either too big or too small. Luckily, there's a way to adjust the cursor size in your drawing so that you can work easier. Select Tools/Preferences, then select the Pointer tab. You'll see an option for Cursor Size. You can adjust your cursor here based on the percent of the screen. Try experimenting with the percent value to find a size that fits your needs.


73. Recovering lost AutoCAD entities from converted DWG files
If you work with DWG files that have been converted from other CAD packages or file formats, you may notice that the translations aren't always completely correct. As a result, problems can arise. One of the most commonly encountered problems is AutoCAD entities that appear on the display screen, but seem to be invisible to any and all editing commands. You can't erase them, modify them, or select them in any way. If you find this problem, try opening the Layer Properties dialog box and examine the color of the various layers. If you find any layer is using the color 0, you've probably found your problem. There is no color 0 in AutoCAD. Change the layer color to any between 1 and 255 and these entities will come back to life. You can now manipulate these entities any way you wish.


74. Add a tooltip-style comment to any AutoCAD 2000 object
Here's a simple way to add a comment to an AutoCAD 2000 object that displays when you move the mouse pointer over the object. Select Insert/Hyperlink, then select the object. Click on the right mouse button to open the Insert Hyperlink dialog box. Now enter your comment text in the Hyperlink Description text box, but leave the Link To File Or URL text box empty. Click OK when you've finished. Now move your mouse pointer over the object. A tooltip-style comment will appear, displaying the description text you specified.


75. Use the DefPoints layer to prevent border printing in AutoCAD
After creating viewports in paper space, you probably won't want the viewport borders to print. You could create a VPORT layer, then freeze the VPORT layer to prevent the viewport borders from printing. However, there's an easier way to prevent the borders from printing. Try changing the viewport borders to the DefPoints layer.
The DefPoints layer is automatically created with your first dimension. This layer contains the points that define the start and end of the dimension extension lines. The points in the DefPoints layer don't print, and neither do any objects that are changed to that layer. You can see the borders, move them and stretch them, but they don't print--even if you forget to freeze them.
Normally, you'd never make DefPoints the current layer. However, you can also use this technique to prevent text from printing. Text typed on the DefPoints layer can be used to mark up revisions that you don't want to print.


76. Another method of inserting an AutoCAD drawing into a Word document
Here's another way to insert an AutoCAD drawing into a Word document that offers you some added flexibility. In AutoCAD, select File/Export, choose Metafile (*.wmf) from the Save As Type list, then click Save. Now zoom in to the area you want to see, because your display is the framed image in Word. Select the objects that you want to export and press Enter.
Now you can open Word, select Insert/Picture, choose the WMF file you just created, then click Insert. You're file is now inserted in Word. If you want to change the size of the image, use the frame handles. To crop or change the line colors, double-clicking on the picture opens the picture editing mode. From here you can crop the picture using the margin rulers. To change the colors of the entities, click on the select drawing objects tool, select the entities, then set the line color or other qualities as desired. Click Close picture to return to Word text editing mode.


77. Rotating AutoCAD viewports in paper space without changing model space
If you ever need to have a viewport rotated in paper space, but you want the model space to remain unchanged, try this procedure. In paper space, activate the viewport to be rotated, then switch to model space in that viewport. Now enter the command "dview". Select the objects to be rotated and then choose Twist. Enter the desired angle of rotation and press Enter. Go back into paper space within the viewport and you should see your desired results. The image appears rotated in your viewport, but remains unchanged in model space.


78. Finding the length of an arc in AutoCAD 14 and 2000
In versions R13 and earlier, you had to convert an arc into a polyline to find its length. However, you don't need to do this in AutoCAD R14 and R2000. One method of finding an arc's length is to select the arc, make one of its grips hot, then right-click and select Properties. This opens the Modify Arc dialog box in R14 and the Properties dialog box in R2000. Within these dialog boxes, you'll find the Arc Length value. Another way to determine an arc's length in these later versions is to run the List command at the command line. When you're prompted to select objects, click on the arc and press [Enter]. The AutoCAD Text window opens and displays several of the arc's properties, including its length.


79. Use the Multiple command to repeat AutoCAD commands
Have you ever wanted a command to repeat itself, like some AutoCAD commands automatically do? For example, the Fillet command only runs through the command once. You can tell AutoCAD to repeat any command. At the command line, type the Multiple command. AutoCAD asks for the command that you would like to repeat--in this case, Fillet. Now, the Fillet command continues to be the active command until you exit by pressing [Esc]. Try this on any command and you'll find many uses for it.

Back AutoCAD 2004 Tips

 
The AutoLisp/Visual Lisp/VBA Resource Website

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website